#pragma once

// Называется алгоритм Евклида
// Находит наибольший общий делитель
// см. Алгоритмический тренинг стр. 80
namespace alg
{
  inline int gcd(int a, int b)
  {
    while (b != 0)
    {
      int r = a%b;
      a = b;
      b = r;
    }

    return a;
  }
}
